# Androidacy Code of Conduct

## Introduction

At Androidacy, we're committed to fostering an open, inclusive, supportive, and respectful community for everyone who participates in our repositories and communities. This Code of Conduct outlines our expectations for participant behavior as well as the consequences for unacceptable behavior.

## Our Pledge

We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community. We value and respect all individuals irrespective of their race, religion, sexual orientation, gender identity, age, nationality, appearance, or technical expertise.

## Our Standards

### Expected Behavior

We expect all participants in Androidacy communities to:

- Demonstrate empathy and kindness towards other people.
- Respect personal identities and experiences, particularly related to LGBTQ+, race, religion, sexuality, and gender.
- Give and gracefully accept constructive feedback.
- Focus on what is best not just for us as individuals, but for the overall community.

### Unacceptable Behavior

We consider the following behaviors unacceptable:

- Disrespect or discrimination of any form, particularly related to a person's LGBTQ+ status, race, religion, sexuality, or gender identity.
- Harassment, public or private.
- Using this community as a platform for inappropriate content or conduct.

### Content Responsibility

While Androidacy will strive to maintain the community standards, we are not responsible for all community content. However, we'll make a best effort to moderate as per the guidelines, at our discretion.

## Reporting and Enforcement

If you are the subject of, or witness any violations of this Code of Conduct, please contact us by emailing community-relations@androidacy.com or via https://t.me/AndroidacySupport on Telegram. If necessary, Androidacy will respond as promptly as we can to address the issue.

We will maintain confidentiality with regard to the reporter of an incident. However, Androidacy reserves the right to moderate, delete, or censor any content or behavior that we find to be in violation of this Code of Conduct, at our discretion. We also have the ultimate say in interpreting and enforcing these rules, with no obligation to act on any report or complaint.

## Intellectual Property

All participants are expected to respect copyrights, trademarks, and other legal rights. Any contributions should be original or free from other license encumbrances.

### Code Contributions

Your submissions should follow existing code styles and be free of bugs and security vulnerabilities. By submitting your code, you grant Androidacy all rights to use and distribute your code, as long as it does not infringe any existing licenses.

## Legal

Androidacy is not liable for any defamation, slander, or other claims arising from the operation of our public communities. Slander against Androidacy under any circumstance is not permissible.

## Conclusion

This Code of Conduct applies to all Androidacy communities and public spaces, both online and off, and also applies when an individual is officially representing Androidacy in public spaces. We hope that our community members will carry these principles with them into their everyday lives, helping make the world a better place for everyone.

By choosing to join and participate in Androidacy communities, you are committing to upholding these standards. Thank you for helping make our community welcoming and friendly to all.
